EDIT - task #10208

only use cacher for static terms
12/17/2022 12:13 PM - Andreas Muller

Status: New Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal

Description

In DefinedTermBase we have cacher and termMap for static access to terms. We should unify this.

The TermLoader should load terms into the cacher instead the termMap.

History

#1 - 12/17/2022 12:13 PM - Andreas Miiller

- Description updated

#2 - 02/24/2023 12:21 PM - Andreas Miiller

- Target version changed from Release 5.35 to Release 5.45

However, we need to be careful as the cacher uses ehcache. It must not have a timeout as in case of the terms cached for TaxEditor.
